<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\Veiculo;

class VeiculoObserver
{
   public function creating(Veiculo $veiculo)
   {
      $veiculo->vei_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $veiculo->vei_date_insert = Carbon::now();
   }

   public function updating(Veiculo $veiculo)
   {
      $veiculo->vei_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $veiculo->vei_date_update = Carbon::now();
   }
}